Bug 444513 - Changing channel subscription does not create snapshot
Summary: Changing channel subscription does not create snapshot
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI   
(Show other bugs)
Version: 510
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jay Dobies
QA Contact: wes hayutin
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks: sat530-snapshots
TreeView+ depends on / blocked
 
Reported: 2008-04-28 19:55 UTC by Justin Sherrill
Modified: 2009-09-10 19:58 UTC (History)
1 user (show)

Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 19:58:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Justin Sherrill 2008-04-28 19:55:23 UTC
Anytime a channel subscription change is made to system, a snapshot should get
created, but it isn't.

Satellite 4.0 behaves correctly.

Comment 1 Jay Dobies 2009-01-09 16:43:57 UTC
Commit: 45699dc8a0b920b4c10815b1b673a48da73115c5

SystemChannelsAction.java
StringResource_en_US.xml
- Added hooks to create a snapshot on successful channel changes

Comment 2 wes hayutin 2009-02-12 14:04:30 UTC
This works. great!!!

reg. system.
create custom channel
change base channel

rollback.. success

same w/ child channel.
works

Comment 4 Brandon Perkins 2009-09-10 19:58:32 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html


Note You need to log in before you can comment on or make changes to this bug.